<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:nk="http://1060.org">
	<xsl:param name="settings" />
    <xsl:output method="xml"/>
	 
	<xsl:template match="/">

		<div xmlns:xrl='http://netkernel.org/xrl'>
		
			<xrl:include identifier="active:aeMenu" argument-tool="data:,Settings"/>
			<script type="text/javascript"><xsl:comment>
				$(document).ready(function()
				{	initLinksRaw( ".el-module", "gMenuModule");
					initLinksRaw( "..el-space", "gMenuSpace");
					initLinksRaw( ".el-physical", "gMenuPhysical");
					initLinksRaw( "..el-ep", "gMenuEp");
					initLinksRaw( ".el-proto", "gMenuProto");
					initLinksRaw( ".el-rep", "gMenuRep");
					
					initDataTable('library-table',
					{	"iDisplayLength": 25,
					},
					function(t)
					{	t.width("100%");
					} );
				});
				
				function dochange(id)
				{	checkbox=$('#'+id);
					value=checkbox.attr('checked');
					v2=value?"false":"true";
	  				checkbox.prev().text(v2);
	  				$.post("editSettings", { entity: id, library: v2 } );
				}
				
			</xsl:comment></script>
			
			<h2>Library Modules</h2>
			<p>Select the modules which are considered as libraries.</p>
			<table id="library-table">
				<thead><tr><th>Module</th><th>Library</th></tr></thead>
				<xsl:for-each select="/modules/module">
					<xsl:variable name="id" select="id"/>
					<tr>
						<td class="el el-module" entity="{hash}"><span class="ui-icon-ae ui-icon-ae-module"/><xsl:value-of select="name"/></td>
						<td style="text-align: center">
							<xsl:variable name="checked" select="boolean($settings/explorer/libraries/library[text()=$id])"/>
							<span style="display: none;"><xsl:value-of select="not($checked)"/></span>
							<input type="checkbox" id="{hash}" onchange="dochange('{hash}')">
								<xsl:if test="$checked">
									<xsl:attribute name="checked">true</xsl:attribute>
								</xsl:if>
							</input>
						</td>
					</tr>
				</xsl:for-each>
			</table>
			
		
		</div>
	</xsl:template>	
	
</xsl:stylesheet>