<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl">
	<xsl:output method="xml" />

	<xsl:template match="/status" >
		<div>
			<script type="text/javascript"><xsl:comment>
				var source="<xsl:value-of select="source"/>";
			<![CDATA[
				var interval=setInterval(poll, 1000);
				$(document).ready(function() {	
				});
				function poll() {
					$.ajax({
						dataType: "json",
						url: "/tools/mupload/",
						data: {
							action: "check", 
							source: source
							},
						success: function(data) {
							var status=data.status;
							if (status==0)
							{	//not changed yet
							}
							else if (status==2 || status==3)
							{	//changed but not found
								clearInterval(interval);
								$("#alert").removeClass("alert-info")
									.addClass("alert-danger")
									.html("<div><p><b>Sorry something went wrong!</b> The module doesn't appear to be removed, please check log to get more information.</p></div>");
								$("#buttons").html("<a href='/tools/log-view' class='btn btn-primary'>check log</a>");
							}
							else if (status==1)
							{	//success
								clearInterval(interval);
								$("#alert").removeClass("alert-info")
									.addClass("alert-success")
									.html("<b>Module sucessfully removed!</b>");
								$("#buttons").html("<a href='/tools/ae/view/allModules' class='btn btn-primary'>ok</a>");
							}
						}
					});
				}
				
			]]></xsl:comment></script>
		
			<div id="alert" class="alert alert-info">
			
				<div style="display: table-row;">
					<div style="float: left; display:table-cell; vertical-align:middle;">
						<img src="/nkse/style/img/ajax-loader.gif" width="32" height="32" style="margin: 4px;"/>
					</div>
					<div style="display:table-cell; vertical-align:middle;">
						<p><b>Please wait while module is removed.</b></p>
					</div>
				</div>
				
			</div>
			<div id="buttons"/>
		</div>	
	</xsl:template>
			
</xsl:stylesheet> 
